org.eclipse.oomph.targlets.core

## Class TargletContainerEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.oomph.targlets.core.TargletContainerEvent

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    TargletContainerEvent.IDChangedEvent, TargletContainerEvent.ProfileUpdateFailedEvent, TargletContainerEvent.ProfileUpdateSucceededEvent, TargletContainerEvent.TargletsChangedEvent, TargletContainerEvent.WorkspaceUpdateFinishedEvent

      public class TargletContainerEvent
      extends EventObject

  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TargletContainerEvent.IDChangedEvent`
    `static class` | `TargletContainerEvent.ProfileUpdateFailedEvent`
    `static class` | `TargletContainerEvent.ProfileUpdateSucceededEvent`
    `static class` | `TargletContainerEvent.TargletsChangedEvent`
    `static class` | `TargletContainerEvent.WorkspaceUpdateFinishedEvent`

  - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TargletContainerEvent(ITargletContainer source, ITargletContainerDescriptor descriptor)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ITargletContainerDescriptor` | `getDescriptor()`
    `ITargletContainer` | `getSource()`

    - ### Methods inherited from class java.util.EventObject

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TargletContainerEvent

          public TargletContainerEvent(ITargletContainer source,
                               ITargletContainerDescriptor descriptor)

  - ### Method Detail

    - #### getSource

          public final ITargletContainer getSource()

      Overrides:
        `getSource` in class `EventObject`

    - #### getDescriptor

          public final ITargletContainerDescriptor getDescriptor()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html